Exchange Server 2013 CU9 to CU23 update error

Sanket Patel 1 Reputation point
2022-02-04T14:44:57.227+00:00

Hello
While updating Exchange server 2013 from CU9 to CU23, I am getting following error.
Pls help.

Error:
The following error was generated when "$error.Clear();
Install-ExchangeCertificate -services IIS -DomainController $RoleDomainController
if ($RoleIsDatacenter -ne $true -And $RoleIsPartnerHosted -ne $true)
{
Install-AuthCertificate -DomainController $RoleDomainController
}
" was run: "System.Security.Cryptography.CryptographicException: The certificate is expired.
at Microsoft.Exchange.Configuration.Tasks.Task.ThrowError(Exception exception, ErrorCategory errorCategory, Object target, String helpUrl)
at Microsoft.Exchange.Management.SystemConfigurationTasks.InstallExchangeCertificate.InternalProcessRecord()
at Microsoft.Exchange.Configuration.Tasks.Task.<ProcessRecord>b__b()
at Microsoft.Exchange.Configuration.Tasks.Task.InvokeRetryableFunc(String funcName, Action func, Boolean terminatePipelineIfFailed)".

Exchange Server Management
Exchange Server Management
Exchange Server: A family of Microsoft client/server messaging and collaboration software.Management: The act or process of organizing, handling, directing or controlling something.
7,386 questions
{count} votes

1 answer

Sort by: Most helpful
  1. Andy David - MVP 142.7K Reputation points MVP
    2022-02-04T14:53:24.007+00:00

    Hi, your Oauth Certificate is expired:

    was run: "System.Security.Cryptography.CryptographicException: The certificate is expired

    Please renew it first, follow these steps and then run the update:

    https://learn.microsoft.com/en-us/exchange/troubleshoot/administration/cannot-access-owa-or-ecp-if-oauth-expired?preserve-view=true#resolution